HspenFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum HspenFields

    java.lang.Object
      java.lang.Enum<HspenFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.HspenFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HspenFields>

    public enum HspenFields

extends java.lang.Enum<HspenFields>

Enum Constant Summary
`datecreated`
`dateexpert`
`datemodified`
`depthmax`
`depthmin`
`depthprefmax`
`depthprefmin`
`depthref`
`effort`
`emostlong`
`envelope`
`expert`
`faoareas`
`faoareasref`
`faocomplete`
`iceconmax`
`iceconmin`
`iceconprefmax`
`iceconprefmin`
`iceconref`
`landdistmax`
`landdistmin`
`landdistprefmax`
`landdistprefmin`
`landdistref`
`landdistyn`
`layer`
`lifestage`
`lme`
`mapdata`
`meandepth`
`nmostlat`
`pelagic`
`primprodmax`
`primprodmin`
`primprodprefmax`
`primprodprefmin`
`primprodprefref`
`rank`
`remark`
`salinitymax`
`salinitymin`
`salinityprefmax`
`salinityprefmin`
`salinityref`
`smostlat`
`tempmax`
`tempmin`
`tempprefmax`
`tempprefmin`
`tempref`
`usepoints`
`wmostlong`

Method Summary
`static HspenFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HspenFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### lifestage

    public static final HspenFields lifestage

### faoareas

    public static final HspenFields faoareas

### faoareasref

    public static final HspenFields faoareasref

### faocomplete

    public static final HspenFields faocomplete

### nmostlat

    public static final HspenFields nmostlat

### smostlat

    public static final HspenFields smostlat

### wmostlong

    public static final HspenFields wmostlong

### emostlong

    public static final HspenFields emostlong

### lme

    public static final HspenFields lme

### depthmin

    public static final HspenFields depthmin

### depthmax

    public static final HspenFields depthmax

### depthprefmin

    public static final HspenFields depthprefmin

### depthprefmax

    public static final HspenFields depthprefmax

### meandepth

    public static final HspenFields meandepth

### pelagic

    public static final HspenFields pelagic

### depthref

    public static final HspenFields depthref

### tempmin

    public static final HspenFields tempmin

### tempmax

    public static final HspenFields tempmax

### tempprefmin

    public static final HspenFields tempprefmin

### tempprefmax

    public static final HspenFields tempprefmax

### tempref

    public static final HspenFields tempref

### salinitymin

    public static final HspenFields salinitymin

### salinitymax

    public static final HspenFields salinitymax

### salinityprefmin

    public static final HspenFields salinityprefmin

### salinityprefmax

    public static final HspenFields salinityprefmax

### salinityref

    public static final HspenFields salinityref

### primprodmin

    public static final HspenFields primprodmin

### primprodmax

    public static final HspenFields primprodmax

### primprodprefmin

    public static final HspenFields primprodprefmin

### primprodprefmax

    public static final HspenFields primprodprefmax

### primprodprefref

    public static final HspenFields primprodprefref

### iceconmin

    public static final HspenFields iceconmin

### iceconmax

    public static final HspenFields iceconmax

### iceconprefmin

    public static final HspenFields iceconprefmin

### iceconprefmax

    public static final HspenFields iceconprefmax

### iceconref

    public static final HspenFields iceconref

### landdistmin

    public static final HspenFields landdistmin

### landdistmax

    public static final HspenFields landdistmax

### landdistprefmin

    public static final HspenFields landdistprefmin

### landdistprefmax

    public static final HspenFields landdistprefmax

### landdistref

    public static final HspenFields landdistref

### landdistyn

    public static final HspenFields landdistyn

### remark

    public static final HspenFields remark

### datecreated

    public static final HspenFields datecreated

### datemodified

    public static final HspenFields datemodified

### expert

    public static final HspenFields expert

### dateexpert

    public static final HspenFields dateexpert

### envelope

    public static final HspenFields envelope

### mapdata

    public static final HspenFields mapdata

### effort

    public static final HspenFields effort

### layer

    public static final HspenFields layer

### usepoints

    public static final HspenFields usepoints

### rank

    public static final HspenFields rank

Method Detail

### values

    public static HspenFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HspenFields c : HspenFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HspenFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD